Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.impl.jdbc.ormapping
Interface StoreSecondary

All Known Implementing Classes:
  AbstractMapMapping, ManyToManyMapping, OracleBlobMapping, OracleClobMapping, CollectionMapping

public interface StoreSecondary

Represents a field mapping that stores into a table apart from the primary table for the class or that should be stored in a separate statement.

Method Summary
`void` | `delete(StateManagerImpl sm, Object[] pks, int field, SQLExecutionManager sqlem)` Delete the field from the secondary table for this mapping.
`void` | `insert(StateManagerImpl sm, Object[] pks, int field, SQLExecutionManager sqlem)` Insert the given field into the secondary table for this mapping.
`void` | `update(StateManagerImpl sm, Object[] pks, int field, SQLExecutionManager sqlem)` Update the given field into the secondary table for this mapping.

Method Detail

### insert

    public void insert(StateManagerImpl sm,
                       Object[] pks,
                       int field,
                       SQLExecutionManager sqlem)
                throws SQLException

  Insert the given field into the secondary table for this mapping.

### update

    public void update(StateManagerImpl sm,
                       Object[] pks,
                       int field,
                       SQLExecutionManager sqlem)
                throws SQLException

  Update the given field into the secondary table for this mapping.

### delete

    public void delete(StateManagerImpl sm,
                       Object[] pks,
                       int field,
                       SQLExecutionManager sqlem)
                throws SQLException

  Delete the field from the secondary table for this mapping.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.